Bug 176090 - Segfault on startup of fish
Segfault on startup of fish
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: fish (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Axel Liljencrantz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 05:42 EST by Gen Zhang
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-02 08:05:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gen Zhang 2005-12-19 05:42:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-GB; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Segfault on startup. After installing the debuginfo packages, gdb shows:

(gdb) run
Starting program: /usr/bin/fish
Detaching after fork from child process 10556.

Program received signal SIGSEGV, Segmentation fault.
*__GI_wcscmp (s1=0x53f370, s2=0x7fff00000000) at wcscmp.c:36
36            c2 = (wint_t) *s2++;
(gdb) bt
#0  *__GI_wcscmp (s1=0x53f370, s2=0x7fff00000000) at wcscmp.c:36
#1  0x0000000000406bcd in contains_str (a=0x53f370) at common.c:722
#2  0x000000000040f421 in parser_is_block (word=Variable "word" is not available.
) at parser.c:289
#3  0x00000000004111d5 in parse_job (p=0x53f320, j=0x53f600, tok=0x53f110) at parser.c:347
#4  0x00000000004117dc in eval (cmd=Variable "cmd" is not available.
) at parser.c:1666
#5  0x0000000000416a95 in reader_read () at reader.c:2979
#6  0x00000000004045ee in builtin_source (argv=0x53e430) at builtin.c:1811
#7  0x000000000040bd9c in exec (j=0x53e340) at exec.c:891
#8  0x0000000000411a4d in eval (cmd=Variable "cmd" is not available.
) at parser.c:1585
#9  0x000000000041e294 in main (argc=1, argv=0x7fffffc16bc8) at main.c:74
#10 0x00000031b471c3cf in __libc_start_main (main=0x41e0a0 <main>, argc=1, ubp_av=0x7fffffc16bc8,
    init=0x41e4c0 <__libc_csu_init>, fini=Variable "fini" is not available.
) at ../sysdeps/generic/libc-start.c:216
#11 0x0000000000402db9 in _start ()
#12 0x00007fffffc16bb8 in ?? ()
#13 0x0000000000000000 in ?? ()


Version-Release number of selected component (if applicable):
fish-1.14.0-1.fc4

How reproducible:
Always

Steps to Reproduce:
1. Install fish - yum install fish
2. Run fish within gdb - gdb `which fish`
3. Run - gdb> run
  

Additional info:
Comment 1 Axel Liljencrantz 2005-12-21 07:39:49 EST
This bug is fixed in later fish releases, Fedora is lagging behind the main fish
releases. 

You can temporarily fix this by downloading an RPM from the fish homepage at
http://roo.no-ip.org/fish/. 

Hopefully, the Fedora packaging of fish will be better in synch in the future.
(volounteer packagers are welcomed)
Comment 2 Gen Zhang 2005-12-21 12:24:08 EST
I took the SRPM from the website and built rpms that way. I can comfirm that
they work perfectly. Should I resolve the bug? If so, to what?
Comment 3 Axel Liljencrantz 2005-12-22 04:38:08 EST
You wouldn't happen to feel like maintaining fish on Fedora? In that case, you
could simply update the fish on fedora and mark the bug as fixed. Otherwise, I
guess the bug isn't resolved and should be left as is.
Comment 4 Gen Zhang 2005-12-24 07:28:05 EST
What would be involved with maintaining fish in Extras? I only have an AMD64
box, so my ability to test would be a little limited.
Comment 5 Michael Schwendt 2006-02-11 18:11:44 EST
> Fedora is lagging behind the main fish releases. 

You are the package maintainer, aren't you?

Note You need to log in before you can comment on or make changes to this bug.